Subject: Re: [mpls] working group last call - draft-ietf-mpls-tp-ring-protection

From: Gregory Mirsky <[email-masked]>
Date: Fri, 8 Feb 2013 20:12:36 +0000

Do not support

            Dear Authors, et al.
I've read the current version of this document and I'm going to state that it is not ready for publication. I don't support that. Below are my notes:
*       Abstract. I think that characterization of the document as "applicability of linear protection mechanisms for Multi-Protocol Label Switching Transport Profile (MPLS-TP) in ring topologies" does not accurately reflects scope of protection architectures referenced in the document. Wrapping ring protection local protection uses similar to described in RFC 4090 protection method. Perhaps characterization of scope can be changed to "applicaility of MPLS protection mechanisms, both local and end-to-end, for MPLS-TP ...".
   *    And the scope of the document, as I understand, is on a single-ring topologies rather than on interconnected rings topologies. That can be clarified by changing from "... in ring topologies" to "... in a single ring topology".
   *    As result of previous change all references to multiple failures scenario can be removed from the document with single reference to draft-liu-mpls-tp-interconnected-ring-protection-
   *    I think that document can benefit from more naroow definition of its scope, bi-directional p2p LSP. I think that p2p bi-directional associated LSP does present unique scenario and behaves as either co-routed or unidirectional LSPs. Ring protection of p2p and p2mp unidirectional MPLS-TP LSPs, in my view, can be left out of scope for futher study. Or at least, in p2mp section need to mention that ring ingress node p2mp can not be branch point of the LSP.
   *    Section 2.3.2.  Wrapping link protection with segment based SPME discusses Section SPME (A to F). There is no need to introduce SPME as section can be monitored with G-ACh based mechanism with GAL as top label.
   *    Section 2.3.3.  Wrapping node protection seems as application of RFC 4090 Node protection.  But being applied to p2p bi-directional LSP is transforms into Segment protection in order to preserve co-routed nature of protected LSP. Thus I think that there's no apparent need to analyze wrapping node protection as suggested protection architecture.

I'd be glad to work with authors, please feel free to ask any question.

        Regards,
                Greg

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Loa Andersson
Sent: Monday, January 28, 2013 1:13 AM
To: [email-masked]; Adrian Farrel; Martin Vigoureux
Cc: [email-masked]; [email-masked]
Subject: [mpls] working group last call - draft-ietf-mpls-tp-ring-protection

Working Group,

This is to start a working group last call on draft-ietf-mpls-tp-ring-protection.

Please send your comments to the mpls working group mailing list ([email-masked]).

Please send both technical comments, and if you are happy with the document as is also indications of support.

There are tw IPR claims against this draft; ID # 1462 and ID # 1872.

All the co-authors has stated that they are not ware of any IPRs, other than the two listed above.

This working group last call will end on February 9, 2013.

/Loa
for the wg co-chairs

--

Loa Andersson                        email: [email-masked]
MPLS Expert                                 [email-masked]
Huawei Technologies (consult)        phone: +46 739 81 21 64
_______________________________________________
mpls mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mpls